Part Sphere/it: Difference between revisions

From FreeCAD Documentation
(Created page with "* Una Part Sfera può essere creata anche con il comando 16px Part Primitive. Con questo comando si può specificare le dimensioni e il posizionamento al momento della creazione.")
No edit summary
Line 56: Line 56:


<span id="Properties"></span>
<span id="Properties"></span>
== Proprietà ==
<div class="mw-translate-fuzzy">
== Opzioni ==
</div>


See also: [[Property_editor|Property editor]].
See also: [[Property_editor|Property editor]].

Revision as of 21:45, 25 December 2023

Sfera

Posizione nel menu
Part → Primitive → Sfera
Ambiente
Part
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Part Primitive

Descrizione

Il comando Part Sfera crea una sfera solida parametrica. È il risultato della rotazione di un profilo di arco circolare attorno a un asse. Nel sistema di coordinate definito dalla sua proprietà DatiPlacement, il centro della sfera è posizionato nell'origine e il suo asse di rivoluzione è l'asse Z.

Una Part Sfera può essere troncata nella parte superiore e/o inferiore modificando le sue proprietà DatiAngle1 e/o DatiAngle2. Può essere trasformata in un segmento di sfera modificando la sua proprietà DatiAngle3.

Utilizzo

  1. Esistono diversi modi per richiamare il comando:
    • Premere il pulsante Sfera.
    • Selezionare l'opzione Part → Primitive → Sfera dal menu.
  2. La sfera viene creata.
  3. Facoltativamente, modificare le dimensioni e il DatiPlacement della sfera effettuando una delle seguenti operazioni:
    • Fare doppio clic sull'oggetto nella Vista ad albero:
      1. Si apre il pannello delle attività Primitive geometriche.
      2. Modificare una o più proprietà.
      3. L'oggetto viene aggiornato dinamicamente nella vista 3D.
      4. Premere il pulsante OK.
    • Modificare le proprietà nell'Editor delle proprietà.
    • Modificare il DatiPlacement con il comando Trasformna.

Esempio

Part Sfera dall'esempio di scripting

Qui viene mostrato un oggetto Part Sfera creato con l'esempio di scripting riportato di seguito.

Note

  • Una Part Sfera può essere creata anche con il comando Part Primitive. Con questo comando si può specificare le dimensioni e il posizionamento al momento della creazione.

Proprietà

See also: Property editor.

A Part Sphere object is derived from a Part Feature object and inherits all its properties. It also has the following additional properties:

Data

Attachment

The object has the same attachment properties as a Part Part2DObject.

Sphere

  • DatiRadius (Length): The radius of the sphere. The default is 5mm.
  • DatiAngle1 (Angle): The start angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatiAngle2. The default is -90°.
  • DatiAngle2 (Angle): The end angle of the circular arc profile of the sphere. Valid range: -90° <= value <= 90°. May not be equal to DatiAngle1. The default is 90°. If the total angle of the arc profile is smaller than 180° the sphere will be truncated and have a flat face at the top and/or bottom.
  • DatiAngle3 (Angle): The total angle of revolution of the sphere. Valid range: 0° < value <= 360°. The default is 360°. If it is smaller than 360° the resulting solid will be a segment of a sphere.

Scripting

See also: Autogenerated API documentation, Part scripting and FreeCAD Scripting Basics.

A Part Sphere can be created with the addObject() method of the document:

sphere = FreeCAD.ActiveDocument.addObject("Part::Sphere", "mySphere")
  • Where "mySphere" is the name for the object.
  • The function returns the newly created object.

Example:

import FreeCAD as App

doc = App.activeDocument()

sphere = doc.addObject("Part::Sphere", "mySphere")
sphere.Radius = 20
sphere.Angle1 = -30
sphere.Angle2 = 45
sphere.Angle3 = 90
sphere.Placement = App.Placement(App.Vector(3, 9, 11), App.Rotation(75, 60, 30))

doc.recompute()